# Twsh

Twitter command line shell.

## Installation

```
$ gem install twsh
```

## Usage

```
$ twsh
```

First time require `login` command.

`login` command request authorize to your timeline.

Please access shown URL and permit, and input PIN code.

# Commands

```
$ tweet <post text>
$ post  <post text>
$ update <post text>
$ p <post text>
$ t <post text>
# Tweet post text.

$ ls
$ ls mention
$ ls -l
# Show your home-timeline (shown 30 charactors tweet text, and only 20 tweets count.)
# Option 'mention': mention timeline
# Option '-l': detail timeline (timestamp and user id, full tweet text)
# Option '-c=<count>': tweet count specify

$ tail
# Realtime show your home-timeline

$ tail &
# Realtime show your home-timeline & background waiting
```
