# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'myun2/twitter_shell/version'

Gem::Specification.new do |spec|
  spec.name          = "twsh"
  spec.version       = Myun2::TwitterShell::VERSION
  spec.authors       = ["myun2"]
  spec.email         = ["myun2@nwhite.info"]

  spec.summary       = "Twitter command line shell."
  spec.description   = "Twitter command line shell."
  spec.homepage      = "https://github.com/myun2/twitter-sh"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "twitter", "~> 5.14.0"
  spec.add_dependency "twitter_oauth", "~> 0.4.0"
  spec.add_dependency "shell-base", "~> 0.2.1"
  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
end
